Forum: GNU Radio python import error

356dfd3417bb998d945135e48409185a?d=identicon&s=25 nesimi eldarov (Guest)
on 2013-11-08 15:27
(Received via mailing list)
Dear all,

I have a very old problem. I hope someone can help me:

system: Ubuntu 13.04

I installed :
python 2.7.4 version by default
and
sudo apt-get install gnuradio
-----------------------------------------------------------------------------------------

I run this:

$ python -c 'from gnuradio import ftw' 

returns this error:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: cannot import name ftw
C539637020fd56193dd6daec746c4a84?d=identicon&s=25 Tom Rondeau (Guest)
on 2013-11-08 15:49
(Received via mailing list)
On Fri, Nov 8, 2013 at 9:26 AM, nesimi eldarov <nesazeri@mail.ru> wrote:
>
-----------------------------------------------------------------------------------------
>
------------------------------------------------------------------------------------------
> I cannot import only this one. The all others are okay.
> Do you know how to fix it?
>
> --
> nesimi eldarov


What are you trying to get with 'ftw'? That's not a GNU Radio component.

Tom
356dfd3417bb998d945135e48409185a?d=identicon&s=25 nesimi eldarov (Guest)
on 2013-11-08 15:59
(Received via mailing list)
>>
>> --
>> nesimi eldarov
>
>
>What are you trying to get with 'ftw'? That's not a GNU Radio component.
>
>Tom
Hi Tom,

I see, therefore it does not import. There is a project:
https://www.cgran.org/wiki/ftw80211ofdmtx
It installs FTW packages into gnuradio during installation. However it
does not import. 

did gnuradio version 3.2 had FTW?
C539637020fd56193dd6daec746c4a84?d=identicon&s=25 Tom Rondeau (Guest)
on 2013-11-08 16:25
(Received via mailing list)
On Fri, Nov 8, 2013 at 9:57 AM, nesimi eldarov <nesazeri@mail.ru> wrote:
>> I cannot import only this one. The all others are okay.
> Hi Tom,
>
> I see, therefore it does not import. There is a project:
> https://www.cgran.org/wiki/ftw80211ofdmtx
> It installs FTW packages into gnuradio during installation. However it does
> not import.
>
> did gnuradio version 3.2 had FTW?
>
> --
> nesimi eldarov

This is an OOT module that was built for version 3.2.2. If you are
using a newer version of GNU Radio, it's unlikely that it will work
out of the box. You would have to modify the ftw code to build against
your version of GNU Radio and install it or it will not work.

Tom
356dfd3417bb998d945135e48409185a?d=identicon&s=25 nesimi eldarov (Guest)
on 2013-11-08 16:36
(Received via mailing list)
>> not import.
>
>Tom

I installed 3.2.2 version also into Ubuntu 9.04, but did not work.
It is really interesting how it did work before.
Please log in before posting. Registration is free and takes only a minute.
Existing account

NEW: Do you have a Google/GoogleMail, Yahoo or Facebook account? No registration required!
Log in with Google account | Log in with Yahoo account | Log in with Facebook account
No account? Register here.